% % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                 %
%    Loesung der Aufgabe 16, Matlabkurs WS06/07   %
%                                                 %
% % % % % % % % % % % % % % % % % % % % % % % % % %

clear all
close all


[X,Y] = meshgrid(-8:.5:8); 
R = sqrt(X.^2 + Y.^2)+eps;
Z = sin(R)./R;

figure(1)
mesh(X,Y,Z)
title('Beispiel zum Befehl mesh mit der colormap hsv')
colormap hsv

figure(2)
mesh(X,Y,Z)
title('Beispiel zum Befehl mesh mit der colormap autumn')
colormap autumn

figure(3)
surf(X,Y,Z)
title('Beispiel zum Befehl surf mit der colormap jet')
colormap jet

figure(4)
surf(X,Y,Z)
title('Beispiel zum Befehl surf mit der colormap jet mit camlight und lightning phong')
camlight left; 
lighting phong
% material dull % matt
material shiny

[X,Y] = meshgrid(-3:.1:3); 
Z = peaks(X,Y);
figure(5)
meshc(X,Y,Z)
axis([-3, 3, -3, 3, -10, 10])
colormap default
title('Beispiel zum Befehl surf mit der colormap bone')