% % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                 %
%    Loesung der Aufgabe 17, Matlabkurs WS06/07   %
%                                                 %
% % % % % % % % % % % % % % % % % % % % % % % % % %

close all
clear all


N = 40; 
M = moviein(N+1);

figure(1)
[X,Y]=meshgrid([-pi:.1:pi]);
f = cos(X-0*pi/N).*sin(Y-0*pi/N);
meshc(X,Y,f);
axis([-pi pi -pi pi -1 1])
title('f(x,y,t) = cos(x - t \pi /40)*sin(y - t \pi /40), t = 0')

for t=1:N
    f=cos(X-t*pi/N).*sin(Y-t*pi/N);
    meshc(X,Y,f);
    axis([-pi pi -pi pi -1 1])
    title(['f(x,y,t) = cos(x - t \pi /40)*sin(y - t \pi /40), t = ',num2str(t)])
    M(:,t)=getframe
end

movie(M,1);



save M;