% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                                       %
%   Loesung der Aufgabe 10 aus dem Matlab Kurs im WS 2006/2007:         %
%                                                                       % 
%   my_norm.m liest einen Vektor v ein, bestimmt dessen Laenge n        %
%   und berechnet die 2-Norm des Vektors. Anschliessend wird der nor-   %
%   mierte Vektor ausgegeben.                                           % 
%                                                                       %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %

v = input('Bitte einen Vektor in Matlab-Schreibweise eingeben. v = ');
disp(' ')

% Bestimmung der Laenge des Vektors:
n = length(v);

% Berechnung der Norm in der Unterroutine calc_norm:
v_norm = calc_norm(v,n);

% Vergleich:
v_norm_exakt = norm(v,2);

if v_norm ~= v_norm_exakt
    error('Die berechnete Norm stimmt nicht mit der Matlab Norm ueberein!')
end


% Berechnung und Ausgabe des normierten Vektors:
disp('Der normierte Vektor v ist:')

v1= v/v_norm