% % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                 %
%    Loesung der Aufgabe 15, Matlabkurs WS06/07   %
%                                                 %
% % % % % % % % % % % % % % % % % % % % % % % % % %

clear all

% a)
% ==

L=2*pi;             % Laenge des Intervalls
N = 40;             % Anzahl der Punkte
h = 2*pi/(N-1);
x = 0:h:L;   

f = zeros(N,1);
g = zeros(N,1);

f = sin(x);
g = sin(x/pi).*cos(x);

figure(1)
plot(x,f)
xlabel(['x \in [0,',num2str(L),']'])
ylabel('f(x) = sin(x)')
title('Aufgabe 15a: plot der Funktion f(x)=sin(x) fuer x\in [0,2\pi]')
axis([0 L -1.5 1.5])

figure(2)
plot(x,g)
xlabel(['x \in [0,',num2str(L),']'])
ylabel('g(x)=sin(x/\pi)cos(x)')
axis([0 L -1.5 1.5])
title('Aufgabe 15a: plot der Funktion g(x)=sin(x/\pi)cos(x) fuer x\in [0,2\pi]')

% b)
% ==

x = -L:h:L;
N=length(x);
f = zeros(N,1);
g = zeros(N,1);
f = sin(x);
g = sin(x/pi).*cos(x);


figure(3)
subplot(1,2,1)
plot(x,f);
xlabel(['x \in [0,',num2str(L),']'])
ylabel('f(x) = sin(x)')
axis([-L L -1.5 1.5])
axis square
subplot(1,2,2)
plot(x,g)
xlabel(['x \in [0,',num2str(L),']'])
ylabel('k(x)=sin(x/\pi)cos(x)')
axis square
axis([-L L -1.5 1.5])
% c)
% ==

figure(4)
plot(x,f,'k');
hold on
plot(x,g,'r');
hold off
legend('f(x) = sin(x)','g(x) = sin(x/\pi)cos(x)',4)
title('Aufgabe 15c: Vergleich Funktionen f und g auf dem Intervall [-2\pi,2\pi]')
axis([-L L -2.5 2])
xlabel(['x \in [0,',num2str(L),']'])
